// pages/testCircle/testCircle.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.circleinfo()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  circleMembers(){
    wx.navigateTo({
      url: '../circleMembers/circleMembers',
    });
    wx.setNavigationBarTitle({
      title: '成员管理'
    })
  },
  circleNews(){
    wx.navigateTo({
      url: '../circleNotice/circleNotice',
    })
  },
  circleinfo() {
    var that = this;
    var config = wx.getStorageSync('config');
    var jingweidu = wx.getStorageSync('jingweidu');
    wx: wx.request({
      url: app.url + 'ajax_get_circle_info.php',
      data: {
        unionId: config.unionId,
        circleId:7,
        userId:7
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        console.log(res)
        if (res.statusCode == 200) {
          if(res.data.result.isOwner==true){

          }
        }
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },
  activefabu(){
    wx.navigateTo({
      url: '../newCircleEvent/newCircleEvent',
    })
  },
  activeguanli(){
    wx.navigateTo({
      url: '../circleEvents/circleEvents',
    })
  }
})